from django.db import models
from main.core.models import UUIDIDMixin
from tenants.constants import TenantState


class Tenant(UUIDIDMixin):
    name = models.CharField("Name", max_length=254)
    description = models.CharField("Description", max_length=254)
    country = models.CharField("Country", max_length=254)
    state = models.CharField("State", max_length=32, choices=TenantState.choices, default=TenantState.ACTIVE)

    def __str__(self):
        return f"{self.name}"
